# Net

This class provides constant definitions used by the rest of the classes in Net component.

Most of them are linked with the Status property of Net classes. In that case:

- Error values are always negative values.
- An inactive value is always zero.
- Activity is reflected with positive values.

So you can evaluate if there was an error when Status property is negative.

This class is static.

Constants |
--- | ---
Accepting Active CannotBindSocket CannotCreateSocket CannotListen CannotRead CannotWrite Connected Connecting ConnectionRefused HostNotFound Inactive Internet Local Pending ReceivingData Searching Unix |